# Created by pyp2rpm-3.3.1
%global pypi_name pynacl

Name:           python-%{pypi_name}
Version:        1.5.0
Release:        %mkrel 3
Summary:        Python binding to the Networking and Cryptography (NaCl) library
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/pyca/pynacl/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/PyNaCl-%{version}.tar.gz
BuildRequires:  libsodium-devel
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cffi) >= 1.4.1
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(pytest) >= 3.2.1
BuildRequires:  python3dist(hypothesis) >= 3.27.0

%description
PyNaCl is a Python binding to libsodium, which is a fork of the Networking
and Cryptography library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyNaCl is a Python binding to libsodium, which is a fork of the Networking
and Cryptography library.

%prep
%autosetup -n PyNaCl-%{version}

# Remove bundled libsodium, to be sure
rm -vrf src/libsodium/

%build
export SODIUM_INSTALL=system
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/nacl/
%{python3_sitearch}/PyNaCl-%{version}-py%{python3_version}.egg-info/


%changelog
* Sat Apr 02 2022 umeabot <umeabot> 1.5.0-3.mga9
+ Revision: 1840923
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 wally <wally> 1.5.0-2.mga9
+ Revision: 1774132
- rebuild for python3.10

* Fri Feb 11 2022 wally <wally> 1.5.0-1.mga9
+ Revision: 1772874
- new version 1.5.0
- rebuild for python3.10

* Sun Mar 21 2021 neoclust <neoclust> 1.4.0-2.mga9
+ Revision: 1706324
- Rebuild against python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.4.0-1.mga8
+ Revision: 1626478
- build against system libsodium
- new version 1.4.0

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-4.mga8
+ Revision: 1532707
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.3.0-3.mga8
+ Revision: 1442780
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 1.3.0-2.mga8
+ Revision: 1435710
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.3.0-1.mga7
+ Revision: 1353673
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-2.mga7
+ Revision: 1300574
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 wally <wally> 1.2.1-1.mga7
+ Revision: 1220938
- imported package python-pynacl

